Bug 7020 - installer has scary warnings that don't have an effect
: installer has scary warnings that don't have an effect
Status: RESOLVED FIXED
: Nimbus
Installer
: 2.4
: PC All
: P3 normal
: 2.5
Assigned To:
:
:
:
: 7013
  Show dependency treegraph
 
Reported: 2010-05-13 12:36 by
Modified: 2010-05-29 21:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-05-13 12:36:14
The javac is outputing these warnings when running the installer. I think this
could be cause some people to think there was a problem with their build.

For example:

  [javac]
/home/nimbus/Downloads/nimbus/nimbus-2.4-oldpatricka/nimbus-2.4-plus-multicpu/messaging/gt4.0/java/common/build.xml:74:
warning: 'includeantruntime' was
 not set, defaulting to build.sysclasspath=last; set to false for repeatable
builds


There are about 10 of these warnings in the build.
------- Comment #1 From 2010-05-13 13:06:40 -------
I've never seen that one, can you provide your ant and java versions. 
Thankyou.
------- Comment #2 From 2010-05-13 14:09:15 -------
I'm using:

javac 1.6.0_20

Apache Ant version 1.8.1 compiled on April 30 2010
------- Comment #3 From 2010-05-29 21:43:04 -------
Apparently ant has been including all of its associated libraries in the javac
classpath all these years (that is surprising...) and since 1.8 is warning
about it.

Fix committed to master for 2.5

http://github.com/nimbusproject/nimbus/commit/fee34b5f841668138900f1b93294255adc45a072